<bugID>457562<Summary>firefox 3.0.3 crashes when a pdf is open and a key is pressed</Summary><Description>User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.9.0.3) Gecko/2008092417 Firefox/3.0.3

firefox 3.0.3 crashes when a pdf is open and a key is pressed.
when i opened the pdf i pressed a number on the numpad accidentaly (with numlock on) and firefox crashed. i reproduced it and it happened again and again. it even happens when a letter is pressed. the last time i tried to reproduce it i had 7 tabs open including this one but when i restored previous session when i restarted firfox it opened all the tabs except this one. so i had to type all this bug out again:(

Reproducible: Always

Steps to Reproduce:
1.open a the/a pdf in firefox 3.0.3
2.make the cursor go between some letters or just make the pdf in focus(tried both, both make it crash)
3.type a letter or number and then after a short pause firefox should crash
Actual Results:  
it crashed

Expected Results:  
nothing, it should have ignored the keys i pressed or maybe find the text i typed on the page. there was no text entry box. i just pressed a key.

theme: strata aero 3.0.02
i have lots of add ons but i don't think they affect what happens.
i am not going to check my email, it is a disposable email address so don't bother personally emailing me(sorry, if this causes an inconvenience).</Description></bugID>